%define version %(echo -n "$(curl -s -X GET https://api.github.com/repos/quickemu-project/quickemu/tags -H 'Accept: application/json' | grep -m 1 "name" | awk -F '"' '{print $4}')")
%global debug_package %{nil}

Name: quickemu
Version: %{version}
BuildArch: noarch
Release: %autorelease
Summary: Quickly create and run optimised Windows, macOS and Linux desktop virtual machines
Group: Applications/Emulators
License: MIT
URL: https://github.com/quickemu-project/quickemu
Source0: %{url}/archive/refs/tags/%{version}.tar.gz

Requires: qemu >= 6.0.0
Requires: bash >= 4.0 
Requires: coreutils edk2-tools grep jq lsb procps python3 genisoimage usbutils util-linux sed spice-gtk-tools swtpm wget xdg-user-dirs xrandr unzip edk2-tools lsb spice-gtk-tools xrandr

%description
Quickemu is a wrapper for the excellent QEMU that automatically "does the right thing" when creating virtual machines. No requirement for exhaustive configuration options. You decide what operating system you want to run and Quickemu takes care of the rest ü§ñ

quickget automatically downloads the upstream OS and creates the configuration üìÄ
quickemu enumerates your hardware and launches the virtual machine with the optimum configuration best suited to your computer ‚ö°Ô∏è
The original objective of the project was to enable quick testing of Linux distributions where the virtual machines and their configuration can be stored anywhere (such as external USB storage or your home directory) and no elevated permissions are required to run the virtual machines.

Today, Quickemu includes comprehensive support for macOS, Windows, most of the BSDs, novel non-Linux operating systems such as FreeDOS, Haiku, KolibriOS, OpenIndiana, ReactOS, and more.

%prep
%setup -q

%build

%install
install -Dm644 LICENSE %{buildroot}/%{_licensedir}/%{name}/LICENSE
install -Dm755 quickemu %{buildroot}/%{_bindir}/quickemu
install -Dm755 quickget %{buildroot}/%{_bindir}/quickget
install -Dm755 quickreport %{buildroot}/%{_bindir}/quickreport
install -Dm755 chunkcheck %{buildroot}/%{_bindir}/chunkcheck
install -Dm755 windowskey %{buildroot}/%{_bindir}/windowskey

install -Dm644 docs/quickget.1 %{buildroot}/%{_mandir}/man1/quickget.1
install -Dm644 docs/quickemu.1 %{buildroot}/%{_mandir}/man1/quickemu.1
install -Dm644 docs/quickemu_conf.1 %{buildroot}/%{_mandir}/man1/quickemu_conf.1

%files
%{_bindir}/quickemu
%{_bindir}/quickget
%{_bindir}/quickreport
%{_bindir}/chunkcheck
%{_bindir}/windowskey
%{_licensedir}/%{name}/LICENSE
%{_mandir}/man1/

%changelog
%autochangelog
